#!/bin/bash
source /root/envsetup/conf.sh

# Download config file from skyreach
if ( ! test -z ${SKYREACH_API_KEY} ); then
	conf_url="https://$SKYREACH_HOST/erp/credentials/$SKYREACH_API_KEY/conf.sh"
	if ( curl -I "$conf_url" >/dev/null ); then
		wget -q "$conf_url" -O /root/envsetup/conf.sh
		source /root/envsetup/conf.sh
	else
		echo "Failed to download configuration using url:"
		echo "    $conf_url"
	fi
fi
